Bug 1571385 - no ansible_service_broker_selector, asb lands on compute nodes
Summary: no ansible_service_broker_selector, asb lands on compute nodes
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Installer
Version: 3.9.0
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
: 3.10.0
Assignee: Fabian von Feilitzsch
QA Contact: Johnny Liu
URL:
Whiteboard:
Depends On: 1557516
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-24 16:23 UTC by Fabian von Feilitzsch
Modified: 2018-07-30 19:14 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Cause: Node selector for Ansible Service Broker was not properly set so that it could deploy to infra nodes. Consequence: The broker would run on compute nodes Fix: The default node selector for the broker should now put it on infra nodes, and the selector can be updated with the ansible_service_broker_node_selector parameter. Result: Broker now lands on infra nodes by default, and is configurable.
Clone Of: 1557516
Environment:
Last Closed: 2018-07-30 19:13:48 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2018:1816 None None None 2018-07-30 19:14:10 UTC

Comment 2 openshift-github-bot 2018-05-02 18:29:07 UTC
Commits pushed to master at https://github.com/openshift/openshift-ansible

https://github.com/openshift/openshift-ansible/commit/9afc6e5fa1f0bb92152cd7ef2baedc7537ce38c8
Bug 1571385- Node selector on pod rather than DC

https://github.com/openshift/openshift-ansible/commit/bc0b473652c687bc4bb2728860603f236f8f0522
Merge pull request #8118 from fabianvf/bz1571385

(3.10) Bug 1571385-  Broker still not properly selecting master nodes

Comment 4 Johnny Liu 2018-05-16 10:54:46 UTC
Verified this bug with openshift-ansible-3.10.0-0.41.0.git.0.88119e4.el7.noarch, and PASS.


1. set ansible_service_broker_node_selector={"role": "node"} in inventory file, trigger installation.
2. after installation, checking:
# oc get po -n openshift-ansible-service-broker
NAME          READY     STATUS    RESTARTS   AGE
asb-1-ns24b   1/1       Running   0          22h

# oc describe po asb-1-ns24b -n openshift-ansible-service-broker
Name:           asb-1-ns24b
Namespace:      openshift-ansible-service-broker
Node:           qe-jialiu310-node-registry-router-1/192.168.100.8
<--snip-->
Node-Selectors:  role=node
<--snip-->

# oc get node -l role=node
NAME                                  STATUS    ROLES     AGE       VERSION
qe-jialiu310-master-etcd-1            Ready     master    22h       v1.10.0+b81c8f8
qe-jialiu310-node-registry-router-1   Ready     compute   22h       v1.10.0+b81c8f8


[root@qe-jialiu310-master-etcd-1 ~]# cat /etc/redhat-release 
Red Hat Enterprise Linux Server release 7.5 (Maipo)
[root@qe-jialiu310-master-etcd-1 ~]# uname -r
3.10.0-862.2.3.el7.x86_64

Comment 6 errata-xmlrpc 2018-07-30 19:13:48 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2018:1816


Note You need to log in before you can comment on or make changes to this bug.